---
title: FileHandle.open()
slug: Web/API/IDBMutableFile/open
tags:
  - API
  - Files
  - Method
  - Non Standard
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}}{{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>open</code> method returns a {{domxref("LockedFile")}} object that allows to safely write in the file.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myFile = <em>instanceOfFileHandle</em>.open(mode);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>mode</dt>
 <dd>A string that specifies the writing mode for the file. It can be <code>readonly</code> or <code>readwrite</code>.</dd>
</dl>

<h3 id="Return">Return</h3>

<p>A {{domxref("LockedFile")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft proposal</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileHandle")}}</li>
</ul>
